/*
 *  Copyright (C) 2000, 2001, 2002 Ricardo Fernndez Pascual
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GALEON_EMBED_POPUP_CONTROL_H
#define GALEON_EMBED_POPUP_CONTROL_H

#include "galeon-embed-popup.h"
#include <bonobo/bonobo-control.h>

G_BEGIN_DECLS

typedef struct GaleonEmbedPopupControlClass GaleonEmbedPopupControlClass;

#define GALEON_TYPE_EMBED_POPUP_CONTROL		(galeon_embed_popup_control_get_type ())
#define GALEON_EMBED_POPUP_CONTROL(obj)		(GTK_CHECK_CAST ((obj), GALEON_TYPE_EMBED_POPUP_CONTROL, \
						 GaleonEmbedPopupControl))
#define GALEON_EMBED_POPUP_CONTROL_CLASS(klass)	(GTK_CHECK_CLASS_CAST ((klass), \
						 GALEON_TYPE_EMBED_POPUP_CONTROL,\
						 GaleonEmbedPopupControlClass))
#define GALEON_IS_EMBED_POPUP_CONTROL(obj)	(GTK_CHECK_TYPE ((obj), GALEON_TYPE_EMBED_POPUP_CONTROL))
#define GALEON_IS_EMBED_POPUP_CONTROL_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), \
						    GALEON_EMBED_POPUP_CONTROL))
#define GALEON_EMBED_POPUP_CONTROL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), \
						   GALEON_TYPE_EMBED_POPUP_CONTROL, \
						   GaleonEmbedPopupControlClass))

typedef struct GaleonEmbedPopupControl GaleonEmbedPopupControl;
typedef struct GaleonEmbedPopupControlPrivate GaleonEmbedPopupControlPrivate;

struct GaleonEmbedPopupControl 
{
	GaleonEmbedPopup parent;
        GaleonEmbedPopupControlPrivate *priv;
};

struct GaleonEmbedPopupControlClass
{
        GaleonEmbedPopupClass parent_class;
};

GType				galeon_embed_popup_control_get_type	(void);
GaleonEmbedPopupControl *	galeon_embed_popup_control_new		(BonoboControl *control);

G_END_DECLS

#endif
